Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Configures the BotKit URL, app, and events for agent transfer.
PropertyValue
MethodPUT
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/sdkSubscription
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeBotKit

Query Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
BotIDBot ID or Stream ID. Accessible from the General Settings page.

Body Parameters

ParameterDescription
connectorEnabledEnable the connector (optional).
PIIMaskingDisabledForAgentTransferDisable PII masking (optional).
sdkClientIdClient ID to associate with the SDK BotKit.
sdkHostUriSDK host URL.
subscribedForArray of events to subscribe to. "onAgentTransfer" is mandatory.

Sample Request

curl -X PUT \
   https://{{host}}/api/bot/{{BotID}}/sdkSubscription \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -d '{
       "connectorEnabled": false,
       "PIIMaskingDisabledForAgentTransfer": false,
       "sdkClientId": "cs-xxxxx-xxxx-xxxx-xxxx-xxxxx",
       "sdkHostUri": "https://example.ngrok.io",
       "subscribedFor": [
           "onMessage",
           "onHook",
           "onEvent",
           "onAlert",
           "onVariableUpdate",
           "onAgentTransfer"
       ]}'

Sample Response

<Bot info object>